×

Discussion Board

Results 1 to 5 of 5
  1. #1
    Registered User
    Join Date
    Mar 2003
    Posts
    3

    Question Remote compiler not selectable in Qt Creator (Ubuntu 10.04)

    I cannot see an entry "Remote Compiler" in the "Add Target" dialog in the Qt Creator. The remote compiler is installed and I entered my login data, but I still cannot select the remote compiler. The only options I have are: "Maemo", "Qt Simulator" and "Desktop". What can I do to get the remote compiler working?

  2. #2
    Super Contributor
    Join Date
    Oct 2009
    Posts
    4,326

    Re: Remote compiler not selectable in Qt Creator (Ubuntu 10.04)


  3. #3
    Registered User
    Join Date
    Mar 2003
    Posts
    3

    Re: Remote compiler not selectable in Qt Creator (Ubuntu 10.04)

    Yes , I use the Nokia Qt SDK 1.0 on Ubuntu 10.04 (x86). The remote compiler functionality was added using the "SDK-Maintenace-Tool".
    I already had a similar problem with the target "Qt Simulator", which also was not selectable in the dialog. The entry appeared after I had started the simulator manually. Now I can select the targets "Maemo", "Qt Simulator" and "Desktop". When I start a new project I can select the Qt versions "Maemo: Qt for Fremantle PR1.2 Devices (Nokia Qt SDK)" and "Qt Simulator: Simulator Qt for GCC (Nokia Qt SDK)".

  4. #4
    Super Contributor
    Join Date
    Dec 2005
    Location
    England,UK
    Posts
    1,600

    Re: Remote compiler not selectable in Qt Creator (Ubuntu 10.04)

    Quote Originally Posted by josefr View Post
    Yes , I use the Nokia Qt SDK 1.0 on Ubuntu 10.04 (x86). The remote compiler functionality was added using the "SDK-Maintenace-Tool".
    I already had a similar problem with the target "Qt Simulator", which also was not selectable in the dialog. The entry appeared after I had started the simulator manually. Now I can select the targets "Maemo", "Qt Simulator" and "Desktop". When I start a new project I can select the Qt versions "Maemo: Qt for Fremantle PR1.2 Devices (Nokia Qt SDK)" and "Qt Simulator: Simulator Qt for GCC (Nokia Qt SDK)".
    Hi josefr,

    Thank you for your question and description of problem. I have been able to recreate your problem and have identified where the problem lies. The article How to install and use the Nokia Qt SDK Remote Compiler
    has been updated with a section on how to set up and install Ubuntu 10.04 Remote Compiler installation
    The fix is to re-install the offline version in a different way.

    Qt Bug report http://bugreports.qt.nokia.com/browse/QTSDK-148
    Thanks
    Jim Gilmour
    Forum Nokia Wiki Administrator
    Last edited by jimgilmour1; 2010-07-26 at 14:36. Reason: bug report http://bugreports.qt.nokia.com/browse/QTSDK-148

  5. #5
    Registered User
    Join Date
    Mar 2003
    Posts
    3

    Re: Remote compiler not selectable in Qt Creator (Ubuntu 10.04)

    Quote Originally Posted by jimgilmour1 View Post
    Hi josefr,

    Thank you for your question and description of problem. I have been able to recreate your problem and have identified where the problem lies. The article How to install and use the Nokia Qt SDK Remote Compiler
    has been updated with a section on how to set up and install Ubuntu 10.04 Remote Compiler installation
    The fix is to re-install the offline version in a different way.

    Qt Bug report http://bugreports.qt.nokia.com/browse/QTSDK-148
    Thanks
    Jim Gilmour
    Forum Nokia Wiki Administrator
    I installed the offline version and now the remote compiler works.
    Thank you.

Similar Threads

  1. NokiaQtSDK Simultor build problem on Ubuntu 10.04
    By srikanthsombhatla in forum [Archived] Qt SDKs and Tools
    Replies: 8
    Last Post: 2010-08-24, 08:04
  2. [Maemo][QT Creator] Can it run remote application without deb installation?
    By benlaud in forum [Archived] Qt SDKs and Tools
    Replies: 2
    Last Post: 2010-07-08, 09:16
  3. can not install Nokia Qt beta on Ubuntu 9.10
    By stone.chao in forum [Archived] Qt SDKs and Tools
    Replies: 2
    Last Post: 2010-06-07, 16:27
  4. Upgrading firmware Ubuntu 9.04
    By Plitter in forum General Development Questions
    Replies: 1
    Last Post: 2009-07-20, 16:48
  5. Using Nokia S60 3rd from Ubuntu 8.04
    By FBulovic in forum News and Announcements
    Replies: 2
    Last Post: 2008-11-09, 01:31

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×